Package org.apache.synapse.transport.passthru.config

## Class TargetConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.config.BaseConfiguration
  - - org.apache.synapse.transport.passthru.config.TargetConfiguration

-     public class TargetConfiguration
      extends BaseConfiguration

  This class stores configuration specific to HTTP Connectors (Senders)

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.passthru.config.BaseConfiguration

      `bufferFactory, conf, configurationContext, httpParams, ioReactorConfig, parameters, preserveHttpHeaders, preserveServerHeader, preserveUserAgentHeader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetConfiguration​(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.ParameterInclude parameters, org.apache.axis2.transport.base.threads.WorkerPool pool, PassThroughTransportMetricsCollector metrics, ProxyAuthenticator proxyAuthenticator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `build()` |
    `TargetConnections` | `getConnections()` |
    `org.apache.http.params.HttpParams` | `getHttpParams()` |
    `org.apache.http.protocol.HttpProcessor` | `getHttpProcessor()` |
    `org.apache.http.impl.nio.reactor.IOReactorConfig` | `getIOReactorConfig()` |
    `int` | `getMaxConnections()` |
    `ProxyAuthenticator` | `getProxyAuthenticator()` |
    `void` | `setConnections​(TargetConnections connections)` |

    - ### Methods inherited from class org.apache.synapse.transport.passthru.config.BaseConfiguration

      `buildHttpParams, buildIOReactorConfig, getBufferFactory, getConfigurationContext, getIOBufferSize, getMetrics, getPreserveHttpHeaders, getSecondaryWorkerPool, getWorkerPool, getWorkerPool, isCorrelationLoggingEnabled, isPreserveHttpHeader, populatePreserveHttpHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetConfiguration

          public TargetConfiguration​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                     org.apache.axis2.description.ParameterInclude parameters,
                                     org.apache.axis2.transport.base.threads.WorkerPool pool,
                                     PassThroughTransportMetricsCollector metrics,
                                     ProxyAuthenticator proxyAuthenticator)

  - ### Method Detail

    - #### build

          public void build()
                     throws org.apache.axis2.AxisFault

      Overrides:
        `build` in class `BaseConfiguration`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getHttpParams

          public org.apache.http.params.HttpParams getHttpParams()

    - #### getIOReactorConfig

          public org.apache.http.impl.nio.reactor.IOReactorConfig getIOReactorConfig()

    - #### getHttpProcessor

          public org.apache.http.protocol.HttpProcessor getHttpProcessor()

    - #### getProxyAuthenticator

          public ProxyAuthenticator getProxyAuthenticator()

    - #### getMaxConnections

          public int getMaxConnections()

    - #### getConnections

          public TargetConnections getConnections()

    - #### setConnections

          public void setConnections​(TargetConnections connections)